Subject: Re: [sfc] Fwd: WG Last Call continuing on draft-ietf-sfc-nsh-tlv

From: <[email-masked]>
Date: Tue, 18 May 2021 00:43:29 +0800 (CST)

Dear All,

I've been following discussions on this draft. All the updates resulting from comments by Carlos, Med, and Donald helped to improve this very much needed document significantly. I believe that it is ready for publication.

Regards,

Greg Mirsky

Sr. Standardization Expert
预研标准部/有线研究院/有线产品经营部 Standard Preresearch Dept./Wireline Product R&D Institute/Wireline Product Operation Division

E: [email-masked] 
www.zte.com.cn

Original Mail

From: Joel M. Halpern <[email-masked]>
Date: Thu, Apr 15, 2021 at 6:32 AM
Subject: [sfc] WG Last Call continuing on draft-ietf-sfc-nsh-tlv
To: [email-masked] <[email-masked]>

This last call was issued on teh 1st of April:
 https://mailarchive.ietf.org/arch/msg/sfc/vE4fhTlIp5uCcZpC9kKK46Kba8U/
 
 We have seen 1 response on the list.
 Folks, this was considered an important part of the SFC work.  We can 
 not hand it to our AD with 1 message of support.  Even though there 
 appears to be no disagreement.
 
 Please speak up.  The chairs will let this run another week.
 
 Yours,
 Joel
 
 _______________________________________________
 sfc mailing list
 [email-masked]
 https://www.ietf.org/mailman/listinfo/sfc

---

From: <[email-masked]>
Date: Fri, 21 May 2021 17:05:39 +0800 (CST)

Dear Donald,

I appreciate your comments and suggestions.

Please see inline with tag WEI>>

Thank you!

Best Regards,

Yuehua Wei

原始邮件

发件人：DonaldEastlake
收件人：Joel M. Halpern;
抄送人：[email-masked];
日 期 ：2021年05月17日 11:55
主 题 ：Re: [sfc] WG Last Call continuing on draft-ietf-sfc-nsh-tlv

Hi,
I support publication of this draft. I have a few further suggestions below but support publication whether or not these suggestions are accepted.
Thanks,
Donald

Title
   The title is currently as follows:
   
Network Service Header Metadata Type 2 Variable-Length Context Headers

   This sounds to me like the title of a general document about this type of
   Metadta Contest Headers. Also, I'm notd sure it needs to say "Varible-Length
   in the title as that is implied by the "Type 2" and covered in the body of
   the draft. I suggest the title be changed to something like the following:

Specifiction of Several Network Service Header (NSH) Metadata Type 2 Context Headers
WEI>> This issue really exists. your proposal will be a candidate one. still looking forward to other proposals. thanks!

Abstract
   As far as I know, square bracketed references are not allowed in the Abstract:
OLD
   [RFC8300] to steer and provide context Metadata (MD) with each
NEW
   (RFC 8300) to steer and provide context Metadata (MD) with each
WEI>> Accept, thanks!

Section 4.1
   Looking at the list of types of Forwarding Contexts, I think this should also cover "double tagging", that is, the ways people use two successive VLAN tags, such as an S-VLAN followed by a C-VLAN. This can reault in 24 bits of Forwarding Context by combining the two VLAN IDs. There is a Type (0x2) for a 24-bit Forwarding Context but it is for a virtual network identifier (VNI) which seems to me like a different thing. So I would recommend adding another type for 24-bits of double tagging as a forwarding context. (Alternatively this could perhaps be included with the existing 24-bit Forwarding Context but the description shoild be extgended.) Perhaps a new type with a description something like
   - 24 bits double tagging. For example a service VLAN tag followed by a customer VLAN tag [802.1Q]. The two VLAN IDs are concatenated and appear in the same order that they appeared in the payuload.
WEI>> Accept, thanks!

Sections 4.1 and 4.2

   This is just a comment, but the VNI, which is listed in Section 4.1, is frequently thought of and referred to as a "tenant ID", but the section for that is 4.2. I'm not sure of the best way of resolving this,
WEI>> Yes,  4.2 is an orchestration system-generated tenant ID.

===============================

 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

On Thu, Apr 15, 2021 at 9:32 AM Joel M. Halpern <[email-masked]> wrote:

 
 
 Yours,
 Joel